[Snort-users] Error with LuaJIT when compiling 2.9.7.x on OS X with OpenAppID

Wil Mail willstmail at ...11827...
Fri May 8 17:12:22 EDT 2015


Hello,
I've been trying to compile 2.9.7 and 2.9.7.2 on OS X 10.9, using these
configure options:

./configure --prefix=/opt/snort --enable-sourcefire --enable-open-appid

I consistently fail on LuaJIT:

checking for luajit... no

   ERROR!  LuaJIT library not found. For better performance, go get it from
   http://www.luajit.org/.
configure: error: "Fatal!"


My config.log shows luajit_CFLAGS and luajit_LIBS set to empty.  I've tried
installing LuaJIT two ways, first by following the suggestion of
downloading from luajit.org and then through brew.  In the former option, I
downloaded LuaJIT 2.0.3 tarball, ran a 'make' followed by 'sudo make
install.'  That reports a successful install to /usr/local.  In the latter
option, I just did a 'brew install luajit', which claims to have
successfully installed luajit-2.0.3_1.

I have a luajit.pc file in /usr/local/lib/pkgconfig, and if I read it
correctly it maps includedir and libdir to places where libluajit and .h
files exist.  My user account running the configure has rights to read all
of those directories and files.

Snort configure fails I've done a fresh install from source, brew, or both
at the same time.  I've also tried running the configure with sudo just for
fun.

Any ideas what's wrong here?
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.snort.org/pipermail/snort-users/attachments/20150508/b2dac66a/attachment.html>


More information about the Snort-users mailing list